Bug 427155 - Improve the ergonomy of PO download links
Improve the ergonomy of PO download links
Status: CLOSED WONTFIX
Product: Fedora Localization
Classification: Fedora
Component: Website (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Dimitris Glezos
Diego Búrigo Zacarão
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-01 10:15 EST by Thomas Canniot
Modified: 2009-03-21 13:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-21 13:32:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Analysis of the problem reported (194.52 KB, image/png)
2008-01-01 10:15 EST, Thomas Canniot
no flags Details
SVG icon file with PO written on it (466.38 KB, image/svg)
2008-01-01 10:17 EST, Thomas Canniot
no flags Details
16x16 icon (172 bytes, image/png)
2008-01-01 10:18 EST, Thomas Canniot
no flags Details

  None (edit)
Description Thomas Canniot 2008-01-01 10:15:54 EST
Description of problem:
Downloading po of a language is not ergonomic, i.e. that the first time you want
to download a po file, you search for a very long time before finding the Link
where to download po from.
In fact, you can download po from the "green round with white arrow button" but
somes fixes are required to make it clearer. As this very button has been used
to download POT file right above, you exepect when you read the page that the
button is link with the text on its right. But it is not the case.

Very simple fixes are possible : 
* change the "green round with white arrow button"  by another image button, on
which PO is written
* create a texte near the image to indicate that a click on it will start the
download of the po

I created an example of new icon to improve the ergonomy of the link. See the
uploaded files.

As Transifex purpose is to make it easy to manage translation, let's do it that
easy :)
Comment 1 Thomas Canniot 2008-01-01 10:15:54 EST
Created attachment 290608 [details]
Analysis of the problem reported
Comment 2 Thomas Canniot 2008-01-01 10:17:21 EST
Created attachment 290609 [details]
SVG icon file with PO written on it

SVG icon file with PO written on it
Comment 3 Thomas Canniot 2008-01-01 10:18:35 EST
Created attachment 290610 [details]
16x16 icon
Comment 4 Pavol Šimo 2008-03-17 04:58:49 EDT
I think there is another possible solution to this (the green "download"
picture/button is nice). The full language name should have the same function as
the download picture/button and the link to language should be made from the
language code in parenthesis.
Comment 5 Thomas Canniot 2008-03-23 13:12:21 EDT
Why not, I also like your idea. But this point is definitely a place for
improvements.
Comment 6 Thomas Canniot 2008-11-15 05:04:00 EST
Why closing this bug _whitout_ any explanation ?

Transifex ergonomics needs improvement as already suggested to Dimitri.

http://blog.mrtomlinux.org/index.php?post/Improving-Transifex-ergonomics
Comment 7 Piotr Drąg 2008-11-15 17:26:54 EST
(In reply to comment #6)
> Why closing this bug _whitout_ any explanation ?

Sorry, I shouldn't do that.

> Transifex ergonomics needs improvement as already suggested to Dimitri.

This bug report (as seen on screenshot) is about Damned Lies (statistics), not Transifex. GNOME is upstream of DL and they are currently focused on new branch, codenamed "Djamned Lies", while we use old 1.0 branch, which is not longer developed. AFAIK the plan is to include Djamned Lies in Transifex or use new Transifex's internal statistics system.

In conclusion, you have to file a bug about ergonomics on bugzilla.gnome.org or transifex.org/newticket
Comment 8 Piotr Drąg 2008-12-11 21:19:22 EST
Could we close this report now?
Comment 9 Piotr Drąg 2009-01-09 18:46:03 EST
Ping?
Comment 10 Thomas Canniot 2009-01-10 08:37:56 EST
Yes I know what I have to do. I don't know if i'll do it but I know what to do...
Comment 11 Dimitris Glezos 2009-01-10 12:56:41 EST
Thomas, we have re-written Transifex from scratch and included support for statistics calculation. While designing the interface, we took into account some of your remarks and included both download and view icons.

Could you please take a look at this email (http://groups.google.com/group/transifex-devel/browse_thread/thread/fa0e6ec9ddb42927) and browse through the beta website and check out whether the new approach suits your needs?

We track tickets upstream at http://transifex.org/, we'd appreciate a usability study from you like that one from the past. =)
Comment 12 Piotr Drąg 2009-03-21 13:32:51 EDT
As the new Transifex UI is rewritten from scratch, I'm closing bugs related to deprecated 0.3 version.

Note You need to log in before you can comment on or make changes to this bug.